Last Comment Bug 742472 - add tooltips to the "add/remove action" button in filter editor
: add tooltips to the "add/remove action" button in filter editor
Status: RESOLVED FIXED
[real description is comment 1]
: polish, ux-consistency
Product: MailNews Core
Classification: Components
Component: Filters (show other bugs)
: Trunk
: All All
: -- minor (vote)
: Thunderbird 15.0
Assigned To: :aceman
:
Mentors:
Depends on: 736860
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 12:07 PDT by :aceman
Modified: 2012-04-24 16:24 PDT (History)
6 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (4.60 KB, patch)
2012-04-14 05:45 PDT, :aceman
bwinton: ui‑review+
mzehe: feedback+
Details | Diff | Review
patch v2 (3.21 KB, patch)
2012-04-20 13:00 PDT, :aceman
mconley: review+
iann_bugzilla: review+
Details | Diff | Review
patch v3 (3.22 KB, patch)
2012-04-24 13:52 PDT, :aceman
acelists: review+
Details | Diff | Review

Description :aceman 2012-04-04 12:07:28 PDT
+++ This bug was initially created as a clone of Bug #736860 +++

Unify the character used for minus signs on buttons to remove filter rules and filter actions in the Filter editor.
I suggest to use \u2212 character as that one is rendered longer and in line with the plus sign. It is already used on the remove filter rule button.
Comment 1 :aceman 2012-04-05 00:01:05 PDT
Sorry, the description got copied from the previous bug and I forgot to update it.

THE REAL DESCRIPTION IS THIS:
Add tooltips and accesskeys to the "add/remove action" button in filter editor. The plus and minus buttons located in the actions list do not have any. The buttons in the rules list have tooltips for what they mean.

Any good proposals for the accesskeys?
Comment 2 :aceman 2012-04-14 05:45:20 PDT
Created attachment 615027 [details] [diff] [review]
patch

I am not sure it is wanted to add accesskeys here. See the patch in action. The + sign is underlined on the buttons and minus is in bracket, which is ugly. As the buttons occur several times in the window, the accesskeys work but cycle the focus over all the same buttons.

The tooltips should be OK.
Comment 3 Blake Winton (:bwinton) (:☕️) 2012-04-19 14:13:17 PDT
Comment on attachment 615027 [details] [diff] [review]
patch

I agree that we shouldn't have the accesskeys, since they look _really_ odd, but I'm looping in Accessibility Guru MarcoZ to get some feedback on how we should handle access keys for "+" and "-".  (Perhaps we should add "(+)" and "(-)" to the end of the tooltiptext?)

ui-r=me with that change.

Thanks,
Blake.
Comment 4 Marco Zehe (:MarcoZ) 2012-04-20 03:58:18 PDT
Comment on attachment 615027 [details] [diff] [review]
patch

Yes, this is good, it will add the tooltip as a description and give the users more context. And yes, having + and - as access keys is odd.
Comment 5 :aceman 2012-04-20 04:28:54 PDT
Thanks, so what is the resolution?
No accesskeys? And the tooltips as they are now?
Comment 6 Blake Winton (:bwinton) (:☕️) 2012-04-20 08:13:00 PDT
aceman: "ui-r=me with that change."  ;)

So, definitely no accesskeys, and add "(+)" and "(-)" if you think it looks better.  (I trust you to make that decision. :)

Later,
Blake.
Comment 7 :aceman 2012-04-20 08:46:58 PDT
Why should I add "(+)" and "(-)" to the tooltip when + and - will not be the accesskeys? I do not understand this part.
Comment 8 Blake Winton (:bwinton) (:☕️) 2012-04-20 08:48:43 PDT
D'oh!  Yes, it would be better not to add them, then.
Comment 9 :aceman 2012-04-20 13:00:15 PDT
Created attachment 617072 [details] [diff] [review]
patch v2
Comment 10 Ian Neal 2012-04-23 16:32:33 PDT
Comment on attachment 617072 [details] [diff] [review]
patch v2

>+<!ENTITY addAction.label "Add a new action">
>+<!ENTITY removeAction.label "Remove this action">
Nit: tooltiptext entities tend to be foo.tooltip rather than foo.label

r=me with that fixed
Comment 11 Mike Conley (:mconley) - (Needinfo me!) 2012-04-24 07:28:19 PDT
Comment on attachment 617072 [details] [diff] [review]
patch v2

Ian's right about the tooltip change to the string keys.

Other than that, this looks pretty solid.

Thanks aceman - keep up the good work!
Comment 12 :aceman 2012-04-24 13:52:54 PDT
Created attachment 618031 [details] [diff] [review]
patch v3

Thanks, fixed.
Comment 13 Ryan VanderMeulen [:RyanVM] 2012-04-24 16:24:49 PDT
http://hg.mozilla.org/comm-central/rev/80d1345ca679

Note You need to log in before you can comment on or make changes to this bug.